<?
/***************************************
** Title........: HTML parse library - initialization include
** Filename.....: init.inc.php
** Author.......: Elena Alekseeva aka Felenka
** Version......: 1.1
** Notes........:
** Last changed.: 15 Sept 2002
** Last change..: 
***************************************/

if ( !defined('INCLUDE_DIR') )
	define('INCLUDE_DIR', 'output/');
	
require_once(INCLUDE_DIR.'const.inc.php');
require_once(INCLUDE_DIR.'misc.inc.php');
require_once(INCLUDE_DIR.'main.inc.php');
require_once(INCLUDE_DIR.'settings.inc.php');

// advanced handlers are here - optional inculde
if ( file_exists(INCLUDE_DIR.'adv.inc.php') )
	require_once(INCLUDE_DIR.'adv.inc.php');
	
// user-defined functions are here - optional inculde
if ( file_exists(INCLUDE_DIR.'userfunc.inc.php') )
	require_once(INCLUDE_DIR.'userfunc.inc.php');
	
// default parsing variable
$GlobalParser = new parseRules();
$GlobalParser->init( array('stand'=>array('makeBool', 'makeRepeat', 'fileInclude') ) );
?>